package com.cnbm.basic.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import java.io.Serializable;
import java.math.BigDecimal;
import java.time.LocalDateTime;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * <p>
 * 工序 表
 * </p>
 *
 * @author why
 * @since 2022-07-15
 */
@Data
@TableName("working_procedure")
@ApiModel(value = "WorkingProcedure对象", description = "工序 表")
public class WorkingProcedure implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty("ID")
    private BigDecimal id;

    @ApiModelProperty("工序 名")
    private String name;

    @ApiModelProperty("工序 编码")
    private String code;

    @ApiModelProperty("工序类型 id,关联working_procedure_type表")
    private BigDecimal workingProcedureTypeId;

    @ApiModelProperty("机台(也就是设备)，这个工序对应的设备，可能有一个或者多个，如果多个用逗号隔开，\"id1,id2,......\"")
    private String machineId;

    @ApiModelProperty("1 可用，0 不可用")
    private BigDecimal status;

    @ApiModelProperty("备注")
    private String remark;

    @ApiModelProperty("删除标志，是否有效:1 可用 0不可用")
    private BigDecimal valid;

    @ApiModelProperty("创建人")
    private BigDecimal creatorId;

    @ApiModelProperty("创建人姓名")
    private String creatorName;

    @ApiModelProperty("创建时间")
    private LocalDateTime createTime;

    @ApiModelProperty("更新人")
    private BigDecimal updaterId;

    @ApiModelProperty("更新人姓名")
    private String updaterName;

    @ApiModelProperty("更新时间")
    private LocalDateTime updateTime;

    @ApiModelProperty("版本号")
    private BigDecimal version;


}
