package com.cnbm.basic.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.cnbm.common.page.PageData;
import com.cnbm.common.service.impl.CrudServiceImpl;
import com.cnbm.basic.dto.ProductWorkingprocedureRelationDTO;
import com.cnbm.basic.mapper.ProductWorkingprocedureRelationMapper;
import com.cnbm.basic.entity.ProductWorkingprocedureRelation;
import com.cnbm.basic.service.IProductWorkingprocedureRelationService;
import com.cnbm.common.utils.ConvertUtils;
import org.apache.commons.lang3.StringUtils;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import java.util.Map;

/**
 * 工序 表
 *
 * @author why
 * @since 2022-07-15
 */
@Service
public class ProductWorkingprocedureRelationServiceImpl extends CrudServiceImpl<ProductWorkingprocedureRelationMapper, ProductWorkingprocedureRelation, ProductWorkingprocedureRelationDTO> implements IProductWorkingprocedureRelationService {

    @Override
    public QueryWrapper<ProductWorkingprocedureRelation> getWrapper(Map<String, Object> params){
        String id = (String)params.get("id");

        QueryWrapper<ProductWorkingprocedureRelation> wrapper = new QueryWrapper<>();
        wrapper.eq(StringUtils.isNotBlank(id), "id", id);

        return wrapper;
    }

    @Override
    public PageData<ProductWorkingprocedureRelationDTO> page (Map<String, Object> params){
        IPage<ProductWorkingprocedureRelation> page = baseDao.selectPage(
                getPage(params, "id", true),
                getWrapper(params)
        );
        return getPageData(page, ProductWorkingprocedureRelationDTO.class);
    }

    @Override
    public ProductWorkingprocedureRelationDTO get(Long id) {
        ProductWorkingprocedureRelation entity = baseDao.selectById(id);
        return ConvertUtils.sourceToTarget(entity, ProductWorkingprocedureRelationDTO.class);
    }

    @Override
    @Transactional(rollbackFor = Exception.class)
    public void save(ProductWorkingprocedureRelationDTO dto) {
        ProductWorkingprocedureRelation entity = ConvertUtils.sourceToTarget(dto, ProductWorkingprocedureRelation.class);
        insert(entity);
    }

    @Override
    @Transactional(rollbackFor = Exception.class)
    public void update(ProductWorkingprocedureRelationDTO dto) {
        ProductWorkingprocedureRelation entity = ConvertUtils.sourceToTarget(dto, ProductWorkingprocedureRelation.class);
        updateById(entity);
    }

}